Bug 280332

Summary: Konsole lose paste when clicking middle mouse button quickly and successively
Product: konsole Reporter: martin.vogt
Component: copy-pasteAssignee: Konsole Developer <konsole-devel>
Status: RESOLVED FIXED    
Severity: minor CC: adaptee
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Unlisted Binaries   
OS: Linux   
Latest Commit: Version Fixed In: 4.9.0

Description martin.vogt 2011-08-18 10:46:09 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

Hello,

I just noticed, that konsole loose paste events.
Editing the DoubleClick intervall changes the behaviour.

Maybe that QT delivers DoubleClick Event on Button 3?
I dont' think that QT allows to configure the double click intervall 
for a special button, so this can only be fixed on application level.

Maybe its possible to rework the configuration setting.
[ ] Button 3 disable doubleclick

Which then falls back to Press/Released if Doubleclick is delivered.
Of course this is a minor feature request.

regards,

Martin

Reproducible: Always

Steps to Reproduce:
- open konsole
- mark a small text
- use middle mouse button to paste test back in console
- repeat this and try to increase the speed.


Actual Results:  
You will lose the paste event after some time.

Expected Results:  
paste works.
For example: use xterm to verify that it works always.

- xterm works
- If you use the KDE Konfiguration Dialog an decrease the DoubleClick
intervall to 200ms the paste behaviour in console gets better, but of
course then doubleclick on left button becomes more difficult.
Comment 1 Jekyll Wu 2012-05-16 21:34:19 UTC
Git commit a123872f295c3c15f45157162d2f06b272bc99ae by Jekyll Wu.
Committed on 14/10/2011 at 12:46.
Pushed by jekyllwu into branch 'master'.

Process the double-click event triggered by successive middle buttons
FIXED-IN: 4.9.0

M  +28   -14   src/TerminalDisplay.cpp
M  +2    -0    src/TerminalDisplay.h

http://commits.kde.org/konsole/a123872f295c3c15f45157162d2f06b272bc99ae